---
title: Projects
---

This page lists some of the tools I wrote, mostly for my own purposes:
To solve some issue I was having, or to facilitate my daily computer usage.
The tools were usually not written with general re-usability in mind.
But maybe you are having just the same problem as I did, in which case I hope they can be helpful.

* [LiLaSS](lilass/): A simple xrandr-based application to configure laptop screens on Linux. If you are using a
  Laptop, frequently work both with and without an external screen, and you are not happy with
  the configuration options your desktop provides, this may be for you.
* [dyn-nsupdate](dyn-nsupdate/): A tool to dynamically and securely update DNS zones via CGI.
  This provides self-hosted DynDNS services.
* [zonemaker](zonemaker/): A small script to generate DNS zone files from Python.
* [schsh](schsh/): A collection of scripts and configuration files which can be used to grant
  someone secure (SSH-based) access to a machine, without giving them a shell or read access
  to the entire file system.
* [Rust-101](rust-101/): A small tutorial for the [Rust language](http://www.rust-lang.org).
* [git-mirror](git-mirror/): This can keep multiple git repositories of the same project in sync automatically.

For some more of my projects, check out the [public git repositories](https://www.ralfj.de/git/)
hosted on my server and my [GitHub profile](https://github.com/RalfJung/).
